<!-- prettier-ignore-start -->
# Class BonusDiscount

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.campaign.Discount](dw.campaign.Discount.md)
    - [dw.campaign.BonusDiscount](dw.campaign.BonusDiscount.md)

Represents a _bonus_ discount in the discount plan, for example
"Get a free DVD with your purchase of any DVD player."



## Property Summary

| Property | Description |
| --- | --- |
| [bonusProducts](#bonusproducts): [Collection](dw.util.Collection.md) `(read-only)` | Returns the bonus products associated with this discount that are in  stock, online and assigned to site catalog. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getBonusProducts](dw.campaign.BonusDiscount.md#getbonusproducts)() | Returns the bonus products associated with this discount that are in  stock, online and assigned to site catalog. |

### Methods inherited from class Discount

[getItemPromotionTiers](dw.campaign.Discount.md#getitempromotiontiers), [getPromotion](dw.campaign.Discount.md#getpromotion), [getPromotionTier](dw.campaign.Discount.md#getpromotiontier), [getQuantity](dw.campaign.Discount.md#getquantity), [getType](dw.campaign.Discount.md#gettype)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### bonusProducts
- bonusProducts: [Collection](dw.util.Collection.md) `(read-only)`
  - : Returns the bonus products associated with this discount that are in
      stock, online and assigned to site catalog.



---

## Method Details

### getBonusProducts()
- getBonusProducts(): [Collection](dw.util.Collection.md)
  - : Returns the bonus products associated with this discount that are in
      stock, online and assigned to site catalog.


    **Returns:**
    - Collection of bonus products


---

<!-- prettier-ignore-end -->
